
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品调价记录
 *
 * @author lhd
 * @date 2022-06-29 17:48:25
 */
public class SpuPriceLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品调价记录id
     */
    private Long id;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 规格id
     */
    private Long skuId;

    /**
     * 原供货价
     */
    private Long beforePrice;

    /**
     * 现供货价
     */
    private Long afterPrice;

    /**
     * 差价
     */
    private Long price;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getBeforePrice() {
        return beforePrice;
    }

    public void setBeforePrice(Long beforePrice) {
        this.beforePrice = beforePrice;
    }

    public Long getAfterPrice() {
        return afterPrice;
    }

    public void setAfterPrice(Long afterPrice) {
        this.afterPrice = afterPrice;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    @Override
    public String toString() {
        return "SpuPriceLog{" +
                "id=" + id +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",spuId=" + spuId +
                ",skuId=" + skuId +
                ",beforePrice=" + beforePrice +
                ",afterPrice=" + afterPrice +
                ",price=" + price +
                '}';
    }
}
